NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder Class Reference

Represents a NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder used to reorient normals for left handed solid elements. More...

Inheritance diagram for NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder:
NXOpen::Builder NXOpen::CAE::ModelCheck::ISelectionBuilder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

virtual
NXOpen::CAE::ModelCheck::CheckScope 
CheckScopeOption ()
 Returns the check scope setting
Created in NX11.0.1. More...
 
void CreateGroupOfLeftHandedElements ()
 Create group for the left handed elements in NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::CreateGroupOfLeftHandedElements and returns those elements which were grouped successfully. More...
 
void DisplayNormals ()
 Display normals of NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::DisplayNormals
Created in NX11.0.0. More...
 
int NegativeFaceColor ()
 Returns the negative face color
Created in NX11.0.0. More...
 
int PositiveFaceColor ()
 Returns the positive face color
Created in NX11.0.0. More...
 
void ReorientLeftHandedElements ()
 Reorient normals specified in NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::ReorientLeftHandedElements which normal is left handed and returns those elements whose normals were reoriented successfully. More...
 
NXOpen::SelectTaggedObjectListSelectionList ()
 Returns the selected objects to be checked. More...
 
virtual void SetCheckScopeOption (NXOpen::CAE::ModelCheck::CheckScope scope)
 Sets the check scope setting
Created in NX11.0.1. More...
 
void SetNegativeFaceColor (int negativeFaceColor)
 Sets the negative face color
Created in NX11.0.0. More...
 
void SetPositiveFaceColor (int positiveFaceColor)
 Sets the positive face color
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder used to reorient normals for left handed solid elements.

Both of the methods are only available in fem context.
To create a new instance of this class, use NXOpen::CAE::ModelCheckManager::CreateSolidElementFaceNormalBuilder

Created in NX11.0.0.

Member Function Documentation

virtual NXOpen::CAE::ModelCheck::CheckScope NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::CheckScopeOption ( )
virtual

Returns the check scope setting
Created in NX11.0.1.



License requirements : None

Implements NXOpen::CAE::ModelCheck::ISelectionBuilder.

void NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::CreateGroupOfLeftHandedElements ( )

Create group for the left handed elements in NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::CreateGroupOfLeftHandedElements and returns those elements which were grouped successfully.

This method will only group left handed solid elements in the current work fem part.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

void NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::DisplayNormals ( )

Display normals of NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::DisplayNormals
Created in NX11.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

int NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::NegativeFaceColor ( )

Returns the negative face color
Created in NX11.0.0.



License requirements : None

int NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::PositiveFaceColor ( )

Returns the positive face color
Created in NX11.0.0.



License requirements : None

void NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::ReorientLeftHandedElements ( )

Reorient normals specified in NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::ReorientLeftHandedElements which normal is left handed and returns those elements whose normals were reoriented successfully.

This method will only reorient the normals for solid left handed elements in the current work fem part.


Created in NX11.0.0.

License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

NXOpen::SelectTaggedObjectList* NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::SelectionList ( )

Returns the selected objects to be checked.

The objects must be NXOpen::CAE::Mesh or NXOpen::CAE::FEElement
Created in NX11.0.0.

License requirements : None

virtual void NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::SetCheckScopeOption ( NXOpen::CAE::ModelCheck::CheckScope  scope)
virtual

Sets the check scope setting
Created in NX11.0.1.



License requirements : None

Parameters
scopescope

Implements NXOpen::CAE::ModelCheck::ISelectionBuilder.

void NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::SetNegativeFaceColor ( int  negativeFaceColor)

Sets the negative face color
Created in NX11.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
negativeFaceColornegativefacecolor
void NXOpen::CAE::ModelCheck::SolidElementFaceNormalBuilder::SetPositiveFaceColor ( int  positiveFaceColor)

Sets the positive face color
Created in NX11.0.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
positiveFaceColorpositivefacecolor

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.